@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Serif&display=swap');

:root {
    --c-link: blue;
    --c-link--active: green;
    --c-white: white;
    --c-black: black;
    --c-gray: gray;
    --c-purple: purple;
}

html {
  box-sizing: border-box;
}
*, *:before, *:after {
  box-sizing: inherit;
}

html {
    font-size: 16px;
    font-family: 'IBM Plex Serif', serif;
}

html,
body {
    margin: 0;

    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

h1 {
    margin-top: 0;

    padding: 1rem;
}

a,
a:visited {
    text-decoration: none;
    color: var(--c-link);
}

a:hover {
    text-decoration: none;
    color: var(--c-link--active);
}

header,
main,
footer {
    display: flex;
    width: 100%;
    max-width: 70rem;
    padding: 2rem;
}

header {
    justify-content: center;
    padding-bottom: 0.5rem;
    padding-top: 0.5rem;
}
main {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
footer {
    justify-content: flex-end;
}
nav-item {
    margin-left: 1rem;
}


/* algolia */
algolia-search {
    width: 100%;
}
.ais-SearchBox {
    display: flex;
    align-items: center;
}

.ais-SearchBox-form {
    display: flex;
    flex-grow: 1;
}
.ais-SearchBox-input {
    flex-grow: 1;
    padding: 1rem;
    font-size: 1.1rem;
    width: 100%;
}
.ais-SearchBox-submit {
    display: none;
}

.ais-Pagination {
}
.ais-Pagination-list {
    margin: 0;
    padding: 0;
    display: flex;
    list-style: none;
}
.ais-Pagination-item--selected .ais-Pagination-link {
    color: var(--c-link--active);
}
.ais-Pagination-link {
    padding: 1rem;
    display: flex;
    text-decoration: none;
    color: var(--c-black);
}

.ais-Hits {
    padding-top: 1rem;
}
.ais-Hits-item {
    padding: 0.3rem;
}



.Result {}
.Result-location {
    color: var(--c-gray);
}
.Result-company {
    color: var(--c-purple);
}
